FolksDummy.PersonaStore.prepare – folks-dummy Reference Manual

# prepare

## Description:

public override async void prepare () throws PersonaStoreError

Prepare the PersonaStore for use.

See Folks.PersonaStore.prepare.

## Exceptions:

Folks.PersonaStoreError.STORE_OFFLINE | if the store is offline
Folks.PersonaStoreError.PERMISSION_DENIED | if permission was denied to open the store
Folks.PersonaStoreError.INVALID_ARGUMENT | if any other error occurred in the store

## Since:

0.9.7